<template>
  <v-container>
    <v-row>
      <v-col class="col">
        <v-card
          class="mx-auto"
          max-width="400"
        >
          <v-list-item two-line>
            <v-list-item-content>
              <v-list-item-title class="text-h5">
                {{ city }}
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
          <v-card-text>
            <v-row align="center">
              <v-col
                class="text-h2"
                cols="6"
              >
                23&deg;C
              </v-col>
              <v-col cols="6">
                <v-img
                  src="https://cdn.vuetifyjs.com/images/cards/sun.png"
                  alt="Sunny image"
                  width="92"
                />
              </v-col>
            </v-row>
          </v-card-text>

          <v-list class="transparent">
            <v-list-item
              v-for="item in forecast"
              :key="item.day"
            >
              <v-list-item-title>{{ item.day }}</v-list-item-title>
              <v-list-item-icon>
                <v-icon>{{ item.icon }}</v-icon>
              </v-list-item-icon>
              <v-list-item-subtitle class="text-right">
                {{ item.temp }}
              </v-list-item-subtitle>
            </v-list-item>
          </v-list>
          <v-divider />
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
  export default {
    name: 'HelloWorld',
    data: () => ({
      city: 'Huangdu',
      time: 0,
      degree: 0,
      forecast: [
        {
          day: 'Thursday',
          icon: 'mdi-cloud',
          temp: '25\xB0/15\xB0',
        },
      ],
    }),

    // 请求数据
    mounted: function () {
      const params = {
        city: 'Huangdu',
        degree: '23',
        forecast: [
          {
            day: 'Thursday',
            icon: 'mdi-cloud',
            temp: '25\xB0/13\xB0',
          },
        ],
      }

      this.city = params.city
      this.degree = params.degree
      this.forecast = params.forecast
    },
  }
</script>
